package com.hfkj.service;

import com.hfkj.entity.BsMerLedger;
import com.hfkj.entity.BsMerLedgerReceiver;
import com.hfkj.sysenum.PlatformTypeEnum;

import java.util.List;
import java.util.Map;

/**
 * @className: BsMerLedgerService
 * @author: HuRui
 * @date: 2023/4/18
 **/
public interface BsMerLedgerService {

    /**
     * 编辑商户分账信息
     * @param merLedger
     */
    void editMerLedger(BsMerLedger merLedger);

    /**
     * 商户分账功能申请
     * @param merLedger
     */
    void merLedgerApply(BsMerLedger merLedger);

    /**
     * 查询商户分账信息
     * @param merId
     * @param platformType
     * @return
     */
    BsMerLedger getMerLedger(Long merId, PlatformTypeEnum platformType);

    /**
     * 获取商户分账信息
     * @param receiverNo
     * @return
     */
    BsMerLedger getMerLedgerByReceiverNo(String receiverNo);

    /**
     * 查询商户分账信息
     * @param id
     * @return
     */
    BsMerLedger getMerLedgerById(Long id);

    /**
     * 查询商户分账列表
     * @param param
     * @return
     */
    List<BsMerLedger> getMerLedgerList(Map<String, Object> param);

}
